<!DOCTYPE html>
<html>
<body>

<p>factorial de un numero</p>

<p id="demo"></p>

<script>
var n=prompt("intro un numero para saber el total de su factorial");
function factorial (n) {
	var total = 1; 
	for (i=1; i<=n; i++) {
		total = total * i; 
	}
	return total; 
}

document.getElementById("demo").innerHTML = factorial(n);
</script>

</body>
</html>
